Subject: Re: how to "re-enable" perl after 5.32 install; how to reinstall all perl-mods?
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Tue, 1 Jun 2021 22:32:41 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-06-01 20:57, L A Walsh wrote:
> This is getting really icky...
> updated cygwin and it reinstalled a new version of perl,
> but when I try to run any perl progs nothing runs (see below).
> So I'd like to try to reinstall all the cygwin
> perl-mods that I have installed.
> How can I select "all" among the perl mods? and install?
> I can select for only the "installed" perl mods, but how can
> I tell it to reinstall all of them?
> According to /etc/setup, there are about 202 modules that need
> to be reinstalled, but I don't see howto tell setup to re-install
> all the "installed" modules (so I can be sure they are all "refreshed".

$ grep ^perl- /etc/setup/installed.db | cut -d' ' -f1 | paste -d, -s 
 
perl-Algorithm-Diff,perl-Authen-SASL,perl-Authen-SASL-XS,...
...,perl-namespace-autoclean,perl-namespace-clean
$ wget -NP /tmp/ https://cygwin.com/setup-x86_64.exe
$ cygstart /tmp/setup-x86_64 -fgnqrP \
   `grep ^perl- /etc/setup/installed.db | cut -d' ' -f1 | paste -d, -s`

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple